Create a tag definition

​

Create a reusable project tag name and six-digit hex color for your organization. Names must be unique within the organization. Reuse the Idempotency-Key and identical body when retrying the same creation.

Headers

  • Unique for seven days. Reuse with the same body returns the original response.

Body

required
application/json

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/external/v2/tag-definitions
curl https://sales-api.artemis.solar/external/v2/tag-definitions \
  --request POST \
  --header 'Idempotency-Key: priority-tag-create-1' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_SECRET_TOKEN' \
  --data '{
  "name": "Priority",
  "color": "#ea580c"
}'
Reusable priority tag created
{
  "data": {
    "id": "3a11c9a2-9924-495e-8281-dd797da7f77a",
    "name": "Priority",
    "color": "#ea580c",
    "createdAt": "2026-09-05T12:00:00.000Z",
    "updatedAt": "2026-09-05T12:00:00.000Z"
  }
}